Can't upgrade to os883 official from XO 1.75

James Cameron quozl at
Sun Jan 1 19:10:36 EST 2012

On Sat, Dec 31, 2011 at 09:49:07AM +0100, Lionel Lask? wrote:
> > Would it be theoretically possible to provide a more helpful error
> message?
> +1

We have this listed already thanks, as an enhancement task, in ticket

The next action is a change to olpc-os-builder to ensure that build
files are uniquely named across platforms, and this would have helped
prevent your mistake.

Adding XO-3 to the mix creates yet another platform that may cause
confusion, as the same file type (.zd) will be apparently valid for
XO-1.5, XO-1.75 and XO-3.  They will load, but probably not boot.

James Cameron

More information about the Devel mailing list